function md=balancedthickness(md)
%BALANCEDTHICKNESS - balancedthickness solution sequence.
%
%   Usage:
%      md=balancedthickness(md)

	%timing
	t1=clock;

	analysis_types=[BalancedThicknessAnalysisEnum];
	solution_type=BalancedthicknessAnalysisEnum;

	displaystring(md.verbose,'%s',['create finite element model']);
	femmodel=NewFemModel(md,solution_type,analysis_types);

	%retrieve parameters
	verbose=femmodel.parameters.Verbose;
	qmu_analysis=femmodel.parameters.QmuAnalysis;

	%compute solution
	if ~qmu_analysis,
		displaystring(verbose,'%s',['call computational core']);
		balancedthickness_core(femmodel);
	else
		%launch dakota driver for diagnostic core solution
		Qmu(femmodel);
	end

	%stop timing
	t2=clock;
	displaystring(md.verbose,'\n%s\n',['solution converged in ' num2str(etime(t2,t1)) ' seconds']);
